package com.imprimelibros.erp.i18n;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.MessageSource;
import org.springframework.stereotype.Component;

import com.imprimelibros.erp.presupuesto.Presupuesto.TipoCubierta;
import com.imprimelibros.erp.presupuesto.Presupuesto.TipoEncuadernacion;
import com.imprimelibros.erp.presupuesto.Presupuesto.TipoImpresion;

import java.util.*;

@Component
public class TranslationService {

    @Autowired
    private MessageSource messageSource;

    public Map<String, String> getTranslations(Locale locale, List<String> keys) {
        Map<String, String> translations = new HashMap<>();
        for (String key : keys) {
            translations.put(key, messageSource.getMessage(key, null, locale));
        }
        return translations;
    }

    public String label(TipoEncuadernacion t, Locale locale) {
        return messageSource.getMessage(t.getMessageKey(), null, locale);
    }
    public String label(TipoImpresion t, Locale locale) {
        return messageSource.getMessage(t.getMessageKey(), null, locale);
    }
    public String label(TipoCubierta t, Locale locale) {
        return messageSource.getMessage(t.getMessageKey(), null, locale);
    }


}
